Bug 1257389 - eclib needs an update
eclib needs an update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 21:55 EDT by Christopher Meng
Modified: 2015-10-03 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version: eclib-20150827-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 13:33:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2015-08-26 21:55:44 EDT
Hi,

Current Fedora still ships release from years ago, with incorrect licensed stated in the package. The latest version of package is GPLv2 licensed.

New location: https://github.com/JohnCremona/eclib

Thanks.
Comment 1 Jerry James 2015-08-26 22:03:20 EDT
I'm working on updates for ntl and flint, and am in the middle of rebuilding and testing the giant stack of software that sits on top of those two, including eclib.  I'll fix this up as part of that update.  Thanks.
Comment 2 Fedora Update System 2015-09-27 23:21:37 EDT
Macaulay2-1.6-18.fc23 sagemath-6.5-11.fc23 Singular-3.1.6-17.fc23 eclib-20150827-1.fc23 sympol-0.1.8-24.fc23 polybori-0.8.3-23.fc23 linbox-1.3.2-24.fc23 latte-integrale-1.7.3-4.fc23 flint-2.5.2-1.fc23 ntl-9.3.0-1.fc23 lrslib-6.0-1.fc23 bliss-0.73-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-68eb39f5ad
Comment 3 Fedora Update System 2015-09-29 02:22:18 EDT
Macaulay2-1.6-18.fc23, Singular-3.1.6-17.fc23, bliss-0.73-1.fc23, eclib-20150827-1.fc23, flint-2.5.2-1.fc23, latte-integrale-1.7.3-4.fc23, linbox-1.3.2-24.fc23, lrslib-6.0-1.fc23, ntl-9.3.0-1.fc23, polybori-0.8.3-23.fc23, sagemath-6.5-11.fc23, sympol-0.1.8-24.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update sagemath Macaulay2 Singular flint eclib linbox latte-integrale polybori sympol ntl lrslib bliss'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-68eb39f5ad
Comment 4 Fedora Update System 2015-10-03 13:33:31 EDT
Macaulay2-1.6-18.fc23, Singular-3.1.6-17.fc23, bliss-0.73-1.fc23, eclib-20150827-1.fc23, flint-2.5.2-1.fc23, latte-integrale-1.7.3-4.fc23, linbox-1.3.2-24.fc23, lrslib-6.0-1.fc23, ntl-9.3.0-1.fc23, polybori-0.8.3-23.fc23, sagemath-6.5-11.fc23, sympol-0.1.8-24.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.